{{- range $appSection, $values := .Values.genericFile }}
{{- if ne (index $values "enabled") false -}}
apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: {{ index $values "name" | default $appSection | quote }}
  namespace: argocd
{{/*  finalizers:*/}}
{{/*    - resources-finalizer.argocd.argoproj.io*/}}
  labels:
    argocd.argoproj.io/instance: {{ $.Release.Name | quote }}
spec:
  project: {{ index $values "project" | default "default" | quote }}
  {{- if le (len (index $values "sources")) 1 }}
  source: {{ index $values "sources" 0 | toYaml | nindent 4 }}
  {{- else }}
  sources: {{ index $values "sources" | toYaml | nindent 4 }}
  {{- end }}
  destination:
    server: {{ (index $values "destination" "server" | default "https://kubernetes.default.svc" ) | quote }}
    namespace: {{ (index $values "destination" "namespace" ) | quote }}
  {{- include "syncPolicy" (list . (index $values "sync") $.Values.global.syncOptions) | nindent 2}}
  revisionHistoryLimit: 5
---
{{ end }}
{{- end }}
